<template>
    <UserCenter :title="$t('wallet')">
      <div class="flex flex-col p-6 space-y-4 relative mx-auto wallet-page overflow-y-auto h-[720px]" v-if="!isMobile">
        <div class="flex justify-between flex-wrap gap-4 items-center">
          <div class="balance-refresh flex items-center">
            <h4 class="inline mr-2 fc-primary ">{{ $t("balance") }}</h4>
            <icons class="w-4 h-4" :is-refresh="true" @click="getMultiWallets" />
          </div>
          <div class="wallet-button wallet" v-if="isCashPlayer && !depositWithdrawalProperty?.IsHidden">
            <nuxt-link to="/deposit">
              <el-button class="deposit-btn w-[105px] h-[32px]" type="primary" plain round
                ><svg-icon :svg-name="'icon-deposit-v2'" />
                <span class="text-[14px] font-[700]">{{ $t(`deposit${isBhinbhin}`) }}</span>
              </el-button>
            </nuxt-link>
            <!-- <el-button
              :disabled="isProcessing"
              type="primary"
              plain
              round
              class=" font-[700] w-[228px] h-[32px]"
              @click="withdrawalFromGameProvider"
            >
             <span class="text-[14px] font-[700] px-3">{{ $t("withdrawal_from_game_provider") }}</span>
            </el-button> -->
          </div>
        </div>
        <div class="w-full rounded-lg bg-background5" v-for="(wallet, index) in wallets" :key="index">
            <div v-if="(wallet.Category === 0 || peruShop === false)">
            <div class="px-6 py-4 border-b-2 border-color fc-primary">
              <div :class="{'pb-1' : index > 0}">{{ wallet.getWalletNameForDisplay() }}</div>
              <div class="--text4 opacity-50 flex w-full text-xs gap-2" v-if="wallet.Category !== 0">
                <div class="min-w-fit">
                  {{ $t('Provider Limit') }}:
                </div>
                <div>
                  {{ wallet.getProviderNameForDisplay() }}
                </div>
              </div>
            </div>
            <div class="px-6 py-3">
              <div class="flex items-center gap-2 mb-2">
                <div class="w-40 fc-secondary">{{ $t('Cash Balance') }}</div>
                <div class="w-40 fc-secondary">{{ $t('Outstanding') }}</div>
                <div class="w-40 fc-secondary">{{ $t('Total Balance') }}</div>
                <div class="w-[200px] fc-secondary" v-if="wallet.Category !== 0">{{ $t('turnover_progress') }}</div>
              </div>
              <div class="flex items-center gap-2">
                <div class="w-40 fc-text4 font-bold text-base">{{ wallet.getBetCreditForDisplay() }}</div>
                <div class="w-40 fc-text4 font-bold text-base">{{ wallet.getOutstandingForDisplay() }}</div>
                <div class="w-40 fc-text4 font-bold text-base">{{ wallet.getTotalBalanceForDisplay() }}</div>
                <div class="w-[200px]" v-if="wallet.Category !== 0">
                  <el-progress
                    :text-inside="true"
                    :stroke-width="24"
                    :percentage="wallet.getTurnoverProgressForDisplay()"
                  >
                    <div class="flex items-center">{{ wallet.getTurnoverProgressForDisplay().toFixed(2) }} %</div>
                  </el-progress>
                </div>
              </div>
            </div>
            </div>
          </div>
        <div class="wallet-button-mobile wallet w-full flex justify-center" v-if="isCashPlayer && !depositWithdrawalProperty?.IsHidden">
            <nuxt-link to="/deposit" class="deposit">
              <el-button class="deposit-btn" type="primary" plain round
                ><svg-icon :svg-name="'icon-deposit'" />
                <span class="text-[12px] font-[700]">{{ $t(`deposit${isBhinbhin}`) }}</span>
              </el-button>
            </nuxt-link>
        </div>
      </div>
      <div v-else>
        <div class="px-4 pt-4 pb-24 wallet-page overflow-y-auto z-10 relative" style="height: calc(100vh - 52px);">
          <div class="space-y-4" >
            <div class="flex justify-between items-center">
              <div>
                <h4 class="inline mr-2 font-bold">{{ $t("balance") }}</h4>
                <icons @click="getMultiWallets" :is-refresh="true" />
              </div>
              <div
                v-if="isCashPlayer && !depositWithdrawalProperty.IsHidden && !allowTheme"
                class="flex items-center justify-center"
              >
                <el-button type="primary" plain round size="small" @click="goToDeposit"
                  ><svg-icon :svgName="'icon-deposit'"/>{{ $t(`deposit${isBhinbhin}`) }}</el-button
                >
              </div>
              <div
                v-if="isCashPlayer && !depositWithdrawalProperty.IsHidden && allowTheme"
                class="flex items-center justify-center"
              >
                <el-button
                  class="wallet-deposit-btn"
                  type="primary"
                  plain
                  round
                  size="small"
                  @click="goToDeposit"
                >
                  <div
                    class="flex flex-row justify-center items-center py-[10px] px-4 gap-1"
                  >
                    <div class="w-[20px] h-[20px]">
                      <img
                        class="w-full h-full"
                        :src="getAssetImage('assets/theme/new_black_theme/Deposit.png')"
                        alt=""
                      />
                    </div>
                    <span class="text-sm font-bold leading-4 text-center">{{ $t(`deposit${isBhinbhin}`) }}</span>
                  </div>
                </el-button>
              </div>
            </div>
            <div  v-for="(wallet, index) in wallets" :key="index">
            <div class="border-2 border-color rounded-lg bg-[rgba(0,0,0,0.1)]" v-if="(wallet.Category === 0 || peruShop === false)">
              <div class="p-4 fc-primary border-b-2 border-color">
                <div class="pb-1">
                  {{ wallet.getWalletNameForDisplay() }}
                </div>
                <div class="text-xs fc-text4 opacity-50 flex gap-2" v-if="wallet.Category !== 0">
                  <div class="min-w-fit">{{ $t('Provider Limit') }}: </div>
                  <div>{{ wallet.getProviderNameForDisplay() }}</div>
                </div>
              </div>
              <div class="px-4 py-3">
                <div class="flex justify-between items-center pb-2">
                  <div class="fc-secondary">{{ $t('Cash Balance') }}</div>
                  <div class="fc-text4">{{ wallet.getBetCreditForDisplay() }}</div>
                </div>
                <div class="flex justify-between items-center pb-2">
                  <div class="fc-secondary">{{ $t('Outstanding') }}</div>
                  <div class="fc-text4">{{ wallet.getOutstandingForDisplay() }}</div>
                </div>
                <div class="flex justify-between items-center pb-2">
                  <div class="fc-secondary">{{ $t('Total Balance') }}</div>
                  <div class="fc-text4">{{ wallet.getTotalBalanceForDisplay() }}</div>
                </div>
                <div class="flex flex-col" v-if="wallet.Category !== 0">
                  <div class="fc-secondary pb-2">{{ $t('Turnover Progress') }}</div>
                  <div class="fc-text4">
                    <el-progress
                      :text-inside="true"
                      :stroke-width="24"
                      :percentage="wallet.getTurnoverProgressForDisplay()"
                    >
                      <div class="flex items-center">{{ wallet.getTurnoverProgressForDisplay().toFixed(2) }} %</div>
                    </el-progress>
                  </div>
                </div>
              </div>
            </div>
            </div>
          </div>
        </div>
      </div>
    </UserCenter>
  </template>

  <script lang="ts" setup>
  import UserCenter from "@/components/theme/desktop/peru/components/user-center-layout.client.vue";
  import { store } from '~~/store';
  import commonHelper from "@/utils/commonHelper";
  const {
    goToDeposit,
    withdrawalFromGameProvider,
    isProcessing,
    depositWithdrawalProperty,
    isCashPlayer,
  } = useWallet();
  const { wallets, getMultiWallets } = useBalanceInfo();
  const isMobile = useDevice().isMobile;
  const peruShop = computed(() => store.state.isPerushopEnabled ? store.state.isPerushopEnabled : false);
  const { isBhinbhin } = commonHelper;
</script>

  <style lang="postcss" scoped>
  .balance-box > div {
    @apply w-1/3 text-center pt-4 pb-4;
    height: 120px;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  </style>

<style scoped lang="scss">
.balance-box {
    border: 2px solid var(--border);
    font-size: 14px;
}
@media only screen and (max-width: 639px) {
    .balance-box {
        flex-direction: column;
        .balance-item-info:not(:last-child) {
            border-right: unset;
            border-bottom: 2px solid var(--border);
        }
        .balance-item-info {
            width: 100%;
        }
    }
    .wallet-button {
        display: none;
    }
    .deposit-btn{
      min-width: 113px;
      height: 40px;
    }
    .withdrawal-btn{
      min-width: 207px;
      height: 40px;
    }
}
@media only screen and (min-width: 640px) {
    .wallet-button {
        display: flex;
    }
    .wallet-button-mobile {
        display: none;
    }
}
@media screen and (max-width: 374px) {
  .wallet-button-mobile {
    flex-direction: column;
    gap: 0.5rem;

    .deposit {
      margin-right: 0;
      width: 100%;

    }
    .deposit, .deposit-btn {
      width: 100%;
    }
  }
}

@media only screen and (max-width: 730px) {
  .uc-section:not(.is-collapse) .uc-section-right {
    .balance-box {
        flex-direction: column;
        .balance-item-info:not(:last-child) {
            border-right: unset;
            border-bottom: 2px solid var(--border);
        }
        .balance-item-info {
            width: 100%;
        }
    }
  }
}
.uc-section .wallet .el-button svg{
  width:13.3px;
  height: 13.3px;
}
.balance-refresh .svg-inline--fa {
  width: 12px;
  height: 9px;
}
</style>
